%define	major	0
%define	libname	%mklibname compizconfig %major
%define	devname	%mklibname compizconfig -d

Summary:	Backend configuration library from Compiz
Name:		libcompizconfig
Version:	0.8.18
Release:	%mkrel 10
# only ini backend is GPLv2+
License:	LGPLv2+ and GPLv2+
Group:		System/X11
Url:		https://github.com/compiz-reloaded/libcompizconfig
Source0:	https://github.com/compiz-reloaded/libcompizconfig/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Release-version-0.8.18.patch
Patch2:		0002-Fix-configure-check-for-posix-compatible-scandir-fun.patch
Patch501:	libcompizconfig-linking.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(protobuf)
# pkgconfig(compiz) doesn't work as expected
BuildRequires:	compiz-devel >= 1:0.8.18

%description
Backend configuration library from Compiz.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Backend configuration library from Compiz
Group:		System/X11
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Backend configuration library from Compiz.

%files -n %{libname}
%{_libdir}/libcompizconfig.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n compizconfig
Summary:	Compizconfig Settings Plugins
Group:		System/X11

%description -n compizconfig
This package contains plugins to configure compiz settings.

%files -n compizconfig
%dir %{_sysconfdir}/compizconfig/
%config(noreplace) %{_sysconfdir}/compizconfig/config
%{_libdir}/compiz/libccp.so
%{_libdir}/compizconfig/backends/libini.so
%{_datadir}/compiz/ccp.xml

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libcompizconfig
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for libcompizconfig.

%files -n %{devname}
%{_includedir}/compizconfig/
%{_libdir}/libcompizconfig.so
%{_libdir}/pkgconfig/libcompizconfig.pc

#----------------------------------------------------------------------------

%prep
%autosetup -p1

#make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.8.18-10.mga10
+ Revision: 2248287
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.8.18-9.mga10
+ Revision: 2164885
- rebuild for libxml2 2.13.6

* Tue Mar 11 2025 daviddavid <daviddavid> 0.8.18-8.mga10
+ Revision: 2162669
- rebuild for new protobuf 30.0

* Thu Dec 22 2022 wally <wally> 0.8.18-7.mga9
+ Revision: 1925785
- rebuild for protobuf 21.12

* Sat Apr 02 2022 umeabot <umeabot> 0.8.18-6.mga9
+ Revision: 1840975
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 0.8.18-5.mga9
+ Revision: 1764993
- rebuild for protobuf 3.19.1

* Fri Dec 18 2020 luigiwalser <luigiwalser> 0.8.18-4.mga8
+ Revision: 1660984
- rebuild for protobuf

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.8.18-3.mga8
+ Revision: 1650536
- rebuild for protobuf

* Sun Jun 28 2020 daviddavid <daviddavid> 0.8.18-2.mga8
+ Revision: 1600169
- rebuild for new protobuf 3.12.3

* Sat Apr 18 2020 wally <wally> 0.8.18-1.mga8
+ Revision: 1569243
- new version 0.8.18

* Tue Feb 18 2020 umeabot <umeabot> 0.8.16-4.mga8
+ Revision: 1540987
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 19 2019 daviddavid <daviddavid> 0.8.16-3.mga8
+ Revision: 1468849
- rebuild for new protobuf 3.11.2

* Fri Jan 11 2019 daviddavid <daviddavid> 0.8.16-2.mga7
+ Revision: 1354724
- rebuild for new protobuf 3.6.1

* Sun Dec 09 2018 wally <wally> 0.8.16-1.mga7
+ Revision: 1339375
- new version 0.8.16 (from compiz-reloaded project)
+ julien <julien>
- Merged with compiz

* Thu Apr 26 2012 julien <julien> 0.9.5.94-0.bzr430.3.mga2
+ Revision: 233368
- rebuild for new compiz

* Sun Apr 01 2012 julien <julien> 0.9.5.94-0.bzr430.2.mga2
+ Revision: 227683
- update to latest bzr (fix a crash)

* Sun Mar 25 2012 fwang <fwang> 0.9.5.94-0.bzr429.2.mga2
+ Revision: 226168
- rebuild for new compiz
+ julien <julien>
- update to latest bzr (fix a crash with keybinding)

* Sat Mar 03 2012 julien <julien> 0.9.5.94-0.bzr428.2.mga2
+ Revision: 217404
- rebuild for new compiz

* Thu Feb 23 2012 julien <julien> 0.9.5.94-0.bzr428.1.mga2
+ Revision: 212685
- rebuild for new compiz

* Sun Feb 05 2012 julien <julien> 0.9.5.94-0.bzr428.mga2
+ Revision: 204816
- update to prerelease 0.9.5.94 from launchpad

* Sun Jan 22 2012 julien <julien> 0.9.5.92-5.mga2
+ Revision: 199869
- rebuild for new compiz

* Wed Nov 30 2011 julien <julien> 0.9.5.92-4.mga2
+ Revision: 174419
- rebuild for new compiz

* Sun Nov 27 2011 julien <julien> 0.9.5.92-3.mga2
+ Revision: 173058
- clean up spec a bit

* Sun Nov 20 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 169903
- correct license
- rebuild for protobuf

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164387
- add boost BR
- small cleanup of  specfile
- update to 0.9.5.92
- add patch0 to fix libini.so always in /lib

* Thu Jul 14 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 124117
- add a conflict to version < 0.8.8
- remove useless requires and provides
- separate lib and common files
- update to version 0.8.8
 - cleanup specfile

* Mon Feb 28 2011 eandry <eandry> 0.8.4-4.mga1
+ Revision: 61745
- drop buildroot
- fix URL
+ colin <colin>
- imported package libcompizconfig


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-3mdv2011.0
+ Revision: 602530
- rebuild

* Sat Mar 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 518614
- Rebuild for new Compiz

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457726
- New version: 0.8.4

* Wed Sep 09 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-3mdv2010.0
+ Revision: 434886
- Rebuild against updated compiz

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355359
- New version 0.8.2
- protect major

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338485
- 0.8 pre-release snapshot

* Sun Dec 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-2mdv2009.1
+ Revision: 320327
- Fix a linking problem masked by disabling ld_no_undefined

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 319138
- update to 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284290
- New snapshot

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234339
- New snapshot
- New version: 0.7.6

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210156
- Update to git snapshot

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192368
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181120
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172291
- Update to git master for new compiz
- Make the BuildRequires more strict.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100722
- New upstream release: 0.6.0

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.1mdv2008.1
+ Revision: 100096
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 79535
- Rebuild for latest compiz (patch removal caused ABI change)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62611
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070811.1mdv2008.0
+ Revision: 62119
- Update snapshot

* Wed Aug 08 2007 Olivier Blin <oblin@mandriva.com> 0.0.1-0.20070801.2mdv2008.0
+ Revision: 60014
- do not require compiz, it is not strictly needed

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070801.1mdv2008.0
+ Revision: 57835
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070724.1mdv2008.0
+ Revision: 55250
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070712.0.1mdv2008.0
+ Revision: 52115
- Update snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.1mdv2008.0
+ Revision: 49635
- Update snapshot to 20070707

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070627.1mdv2008.0
+ Revision: 49608
- Require compiz
- Fix %%files and add an arch independant provides
- Import libcompizconfig

